> ## Documentation Index
> Fetch the complete documentation index at: https://chatbotx.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Facebook Lead Ads automations

> Use this to find automation ids before inspecting one with `facebookLeadAds.get` or changing one with `facebookLeadAds.update`. Returns automations configured in this workspace.



## OpenAPI

````yaml /api-reference/platform-api.json get /v1/facebook-lead-ads
openapi: 3.1.1
info:
  title: ChatbotX
  version: 0.0.1
servers:
  - url: https://app.chatbotx.io/api
security:
  - bearerAuth: []
  - developerAccessToken: []
  - tokenInSearchParams: []
paths:
  /v1/facebook-lead-ads:
    get:
      tags:
        - Facebook Lead Ads
      summary: List Facebook Lead Ads automations
      description: >-
        Use this to find automation ids before inspecting one with
        `facebookLeadAds.get` or changing one with `facebookLeadAds.update`.
        Returns automations configured in this workspace.
      operationId: facebookLeadAds.list
      parameters:
        - name: page
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 9007199254740991
            default: 1
            description: Page number, starting at 1.
          allowEmptyValue: true
          allowReserved: true
        - name: perPage
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 50
            default: 50
            description: Number of items per page, up to 50.
          allowEmptyValue: true
          allowReserved: true
        - name: keyword
          in: query
          schema:
            type: string
            description: >-
              Case-insensitive substring match against the automation's
              page/form name.
          allowEmptyValue: true
          allowReserved: true
        - name: sort
          in: query
          schema:
            type: array
            items:
              type: object
              properties:
                id:
                  type: string
                desc:
                  type: boolean
              required:
                - id
                - desc
            description: Sort order as [{ id, desc }] column/direction pairs.
          style: deepObject
          explode: true
          allowEmptyValue: true
          allowReserved: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      allOf:
                        - type: object
                          properties:
                            id:
                              type: string
                            createdAt:
                              type: string
                              format: date-time
                              x-native-type: date
                            updatedAt:
                              type: string
                              format: date-time
                              x-native-type: date
                            name:
                              type: string
                            pageId:
                              type: string
                            pageName:
                              anyOf:
                                - type: string
                                - type: 'null'
                            formId:
                              type: string
                            formName:
                              anyOf:
                                - type: string
                                - type: 'null'
                            fieldMapping:
                              type: array
                              items:
                                type: object
                                properties:
                                  key:
                                    type: string
                                  label:
                                    type: string
                                  type:
                                    type: string
                                  target:
                                    anyOf:
                                      - type: string
                                      - type: 'null'
                                required:
                                  - key
                                  - label
                                  - type
                                  - target
                            flowId:
                              anyOf:
                                - type: string
                                - type: 'null'
                            leadsHandledCount:
                              type: integer
                              minimum: -2147483648
                              maximum: 2147483647
                          required:
                            - id
                            - createdAt
                            - updatedAt
                            - name
                            - pageId
                            - pageName
                            - formId
                            - formName
                            - fieldMapping
                            - flowId
                            - leadsHandledCount
                        - type: object
                          properties:
                            flow:
                              anyOf:
                                - type: object
                                  properties:
                                    id:
                                      type: string
                                    name:
                                      type: string
                                  required:
                                    - id
                                    - name
                                - type: 'null'
                          required:
                            - flow
                    description: Items on this page.
                  pageCount:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                    description: >-
                      Total number of pages for the requested perPage; stop when
                      page >= pageCount.
                required:
                  - data
                  - pageCount
        '400':
          description: '400'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: businessError
                      status:
                        const: 400
                      message:
                        type: string
                        default: An error occurred while processing your request
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - $ref: '#/components/schemas/UndefinedError'
        '401':
          description: '401'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: UNAUTHORIZED
                      status:
                        const: 401
                      message:
                        type: string
                        default: Authentication required
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: INVALID_CHATBOT_TOKEN
                      status:
                        const: 401
                      message:
                        type: string
                        default: Invalid or missing workspace API token
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - $ref: '#/components/schemas/UndefinedError'
        '403':
          description: '403'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: FORBIDDEN
                      status:
                        const: 403
                      message:
                        type: string
                        default: You do not have permission to perform this action
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: trialExpired
                      status:
                        const: 403
                      message:
                        type: string
                        default: Trial expired
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: macLimitReached
                      status:
                        const: 403
                      message:
                        type: string
                        default: Monthly active contact limit reached
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - $ref: '#/components/schemas/UndefinedError'
        '422':
          description: '422'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: invalidRequestData
                      status:
                        const: 422
                      message:
                        type: string
                        default: Input validation failed
                      data:
                        type: object
                        properties:
                          issues:
                            type: array
                            items:
                              type: object
                              properties:
                                message:
                                  type: string
                                path:
                                  type: array
                                  items:
                                    anyOf:
                                      - type: string
                                      - type: number
                                      - type: object
                                        properties:
                                          key:
                                            anyOf:
                                              - type: string
                                              - type: number
                                        required:
                                          - key
                                        additionalProperties: {}
                              required:
                                - message
                              additionalProperties: {}
                        required:
                          - issues
                        additionalProperties: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                      - data
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: validation
                      status:
                        const: 422
                      message:
                        type: string
                        default: Validation error
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - $ref: '#/components/schemas/UndefinedError'
        '429':
          description: '429'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: tooManyRequests
                      status:
                        const: 429
                      message:
                        type: string
                        default: Too many requests
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - $ref: '#/components/schemas/UndefinedError'
        '500':
          description: '500'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: INTERNAL_SERVER_ERROR
                      status:
                        const: 500
                      message:
                        type: string
                        default: An unexpected error occurred
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - $ref: '#/components/schemas/UndefinedError'
components:
  schemas:
    UndefinedError:
      type: object
      properties:
        defined:
          const: false
        code:
          type: string
        status:
          type: number
        message:
          type: string
        data: {}
      required:
        - defined
        - code
        - status
        - message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
    developerAccessToken:
      type: http
      scheme: bearer
    tokenInSearchParams:
      type: apiKey
      in: query
      name: token

````